<!DOCTYPE html>
<html lang="en">
  <head>
    <title></title>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="stylesheet" type="text/css" href="/css/global.css">
    <link rel="stylesheet" type="text/css" href="/css/post.css">
    <link rel="stylesheet" type="text/css" href="/css/tags.css">
    <script src="/js/patch_item.js" defer></script>
    <script src="/js/tags.js" defer></script>
  </head>
  <body>
    <a href="/">back</a>
    <br>
    <form>
      <fieldset>
        <legend>Info</legend>
        <input type="text" name="title" id="title" value="<%= item.title %>" placeholder="Title">
        <textarea cols="5" name="description" id="description" placeholder="Description"><%= item.description %></textarea>
        <div class="tag_container" id="tag_preview"></div>
        <textarea name="tags" id="tags" placeholder="tags"><%= item.tags.join(" ") %></textarea>
        <input type="number" name="price" value="0.5" step="0.01" min="0.5" value="<%= item.price %>" placeholder="Price">
        <input type="number" name="discount" value="0" step="1" min="0" max="100" value="<%= item.discount %>" placeholder="Discount">
        <input type="number" name="amount" value="1" step="1" min="1" value="<%= item.amount %>" placeholder="Amount">
      </fieldset>
      <fieldset>
        <legend>Select images</legend>
        <div id="img-preview">
          <% item.image.forEach((img, i) => { %>
          <div class="image">
            <input type="radio" name="thumbnail" value="<%= i %>">
            <div>
              <img src="/images/CMP-<%= img %>" alt="image">
            </div>
          </div>
          <% }); %>
        </div>
      </fieldset>
      <input type="submit" name="submit" value="Save">
    </form>
  </body>
</html>
